Bug 990695 - [abrt] libreoffice-core-4.1.0.4-1.fc19: os::die: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-4.1.0.4-1.fc19: os::die: Process /usr/lib64/libreoffi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:327dcd563f63f46ac10d507b899...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 15:20 EDT by klaus
Modified: 2015-03-30 07:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (112.97 KB, text/plain)
2013-07-31 15:20 EDT, klaus
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-31 15:20 EDT, klaus
no flags Details
File: core_backtrace (6.32 KB, text/plain)
2013-07-31 15:20 EDT, klaus
no flags Details
File: dso_list (32.78 KB, text/plain)
2013-07-31 15:20 EDT, klaus
no flags Details
File: environ (2.28 KB, text/plain)
2013-07-31 15:21 EDT, klaus
no flags Details
File: hs_err.log (170.99 KB, text/plain)
2013-07-31 15:21 EDT, klaus
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 15:21 EDT, klaus
no flags Details
File: maps (154.75 KB, text/plain)
2013-07-31 15:21 EDT, klaus
no flags Details
File: open_fds (837 bytes, text/plain)
2013-07-31 15:22 EDT, klaus
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2013-07-31 15:22 EDT, klaus
no flags Details
File: var_log_messages (4.11 KB, text/plain)
2013-07-31 15:22 EDT, klaus
no flags Details

  None (edit)
Description klaus 2013-07-31 15:20:05 EDT
Version-Release number of selected component:
libreoffice-core-4.1.0.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: os::die
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1602
 #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1041
 #4 crash_handler at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp:106
 #6 ??
 #7 os::abort at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1583
 #8 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1037
 #9 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:528
 #11 ??
 #12 SfxItemSet::~SfxItemSet at /usr/src/debug/libreoffice-4.1.0.4/svl/source/items/itemset.cxx:319
 #13 ~SfxAllItemSet at /usr/src/debug/libreoffice-4.1.0.4/include/svl/itemset.hxx:166

Potential duplicate: bug 706076
Comment 1 klaus 2013-07-31 15:20:11 EDT
Created attachment 781314 [details]
File: backtrace
Comment 2 klaus 2013-07-31 15:20:51 EDT
Created attachment 781315 [details]
File: cgroup
Comment 3 klaus 2013-07-31 15:20:55 EDT
Created attachment 781316 [details]
File: core_backtrace
Comment 4 klaus 2013-07-31 15:20:59 EDT
Created attachment 781317 [details]
File: dso_list
Comment 5 klaus 2013-07-31 15:21:03 EDT
Created attachment 781318 [details]
File: environ
Comment 6 klaus 2013-07-31 15:21:07 EDT
Created attachment 781319 [details]
File: hs_err.log
Comment 7 klaus 2013-07-31 15:21:54 EDT
Created attachment 781320 [details]
File: limits
Comment 8 klaus 2013-07-31 15:21:59 EDT
Created attachment 781321 [details]
File: maps
Comment 9 klaus 2013-07-31 15:22:03 EDT
Created attachment 781322 [details]
File: open_fds
Comment 10 klaus 2013-07-31 15:22:06 EDT
Created attachment 781323 [details]
File: proc_pid_status
Comment 11 klaus 2013-07-31 15:22:15 EDT
Created attachment 781324 [details]
File: var_log_messages
Comment 12 Fabien Archambault 2013-09-24 04:53:39 EDT
Trying to sort ascending a command. This is easily reproducible.

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/archambaf/Downloads/users_igloo.xlsx --splash-pipe=5
crash_function: os::die
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.11-200.fc19.x86_64
package:        libreoffice-core-4.1.1.2-5.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fabien Archambault 2013-09-25 07:54:14 EDT
This problem is still reproducible with the latest update from LO:
# rpm -qa | grep offi
libreoffice-opensymbol-fonts-4.1.2.2-1.fc19.noarch
libreoffice-impress-4.1.2.2-1.fc19.x86_64
libreoffice-pdfimport-4.1.2.2-1.fc19.x86_64
libreoffice-graphicfilter-4.1.2.2-1.fc19.x86_64
libreoffice-xsltfilter-4.1.2.2-1.fc19.x86_64
libreoffice-writer-4.1.2.2-1.fc19.x86_64
libreoffice-calc-4.1.2.2-1.fc19.x86_64
libreoffice-ure-4.1.2.2-1.fc19.x86_64
libreoffice-draw-4.1.2.2-1.fc19.x86_64
libreoffice-core-4.1.2.2-1.fc19.x86_64
libreoffice-math-4.1.2.2-1.fc19.x86_64
Comment 14 Caolan McNamara 2013-10-01 08:24:54 EDT
"Trying to sort ascending a command. This is easily reproducible."

Can you give a full description of what you do that triggers the reproducible crash ? Sorting in calc via data->sort ?
Comment 15 Fabien Archambault 2013-10-01 08:55:35 EDT
I was not explicit has the bug was already opened sorry.
I load an xlsx file which, I am sorry, I cannot share as it contains a user list. This file is mostly a list of emails, names, login... with a pivot table (tableau croisé dynamique in French I hope I picked up the good word in English) and 4 tabs in the file.
I select the C column (any column works) then click on the "Sort Ascending" button from the toolbar (I can also use the pivot table options to sort and it produces the same crash). Then, I click on "Extend Selection" ("Current Selection" does the same crash) and oocalc crashes with ABRT producing the report.
Comment 16 Caolan McNamara 2013-10-01 10:42:28 EDT
caolanm->erack: Familiar in any way ?

caolanm->fabien: Would it be possible to share the .xlsx by direct mail to erack ?
Comment 17 Eike Rathke 2013-10-01 11:28:13 EDT
Not familiar. From backtrace thread 1 this happens under the event dispatcher when destroying an SfxItemSet, Calc isn't even on the stack..

If that is reproducible only with a certain document it would be of help to get it. Or preferably a stripped down document that exposes the behavior.
Comment 18 Milan Bouchet-Valat 2013-10-11 10:30:48 EDT
Bloody ABRT discarded my trace and did not even attach a comment...

I experienced with without using Calc at all, only with Writer. But I have no idea how to reproduce this. It even happened while after I had already switched to a different application. All those hard to reproduce crashes are annoying...

Fabien, any chance you send the problematic file to a developer? Or maybe you can reproduce the problem with a subset of the file, or even a subset of the file with actual values replaced with arbitrary strings?
Comment 19 klaus 2015-03-30 07:04:01 EDT
Haven't seen this bug for quite a while. 

I've been upgrading over Fedora 20 to Fedora 21 and the Libreoffice has followed in new versions.

So I think we shall close this incident.

Note You need to log in before you can comment on or make changes to this bug.